Bug 1461551 - remove, disable, or warn about untested/undocumented playbooks
Summary: remove, disable, or warn about untested/undocumented playbooks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.0
Assignee: leseb
QA Contact: Shreekar
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-06-14 18:48 UTC by Alfredo Deza
Modified: 2017-12-05 23:34 UTC (History)
13 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc6.el7cp Ubuntu: ceph-ansible_3.0.0~rc6-2redhat1
Doc Type: Bug Fix
Doc Text:
.Unsupported playbooks are no longer available The `/usr/share/ceph-ansible/infrastructure-playbooks/` directory no longer includes unsupported playbooks.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:34:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 1835 None closed infra playbook: move untested scenario to a new dir 2020-02-21 07:00:33 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Alfredo Deza 2017-06-14 18:48:14 UTC
Description of problem: The infrastructure-playbooks/shrink-osd.yml is not documented and is untested, we can't vouch for playbooks like that one in that state.

Adding a big warning (don't think this is possible currently with Ansible), or text header in the playbook, or disable it outright until it is documented and tested.

The rest of the infrastructure-playbooks should be checked to see if they are tested+documented, disable them otherwise.

Comment 6 Christina Meno 2017-10-02 17:37:26 UTC
Drew, priority and severity at medium look right to me.

Comment 7 Shreekar 2017-10-06 13:31:41 UTC
These files cluster-maintenance.yml,cluster-os-migration.yml,make-osd-partitions.yml,migrate-journal-to-ssd.yml,purge-multisite.yml,recover-osds-after-ssd-journal-failure.yml have been removed as per Files changed in PR. 

Also, I got to know that shrink-osd.yml has been tested and it is working.

In downstream  infrastructure-playbook dir, I could see these files:
ansible.cfg        purge-docker-cluster.yml  rolling_update.yml  switch-from-non-containerized-to-containerized-ceph-daemons.yml
osd-configure.yml  README.md                 shrink-mon.yml      take-over-existing-cluster.yml
purge-cluster.yml  rgw-standalone.yml        shrink-osd.yml

I'm moving this BZ to verified status.Please let me know any concerns.

Comment 9 leseb 2017-10-24 20:41:47 UTC
lgtm

Comment 12 errata-xmlrpc 2017-12-05 23:34:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.